Mobile Change Validate

This API is used to change the mobile number of the customers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header reference Click here

Request Parameters

Following are the parameters to be sent in the request body:

ParametersTypeDescription
otpReferenceIDStringReceived in Initiate response
otpStringReceived on Aadhaar registered number
hashStringReceived in Initiate response

Sample Request

curl --location --request POST 'https://api.instantpay.in/user/outlet/v2/mobileUpdateVerify' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "otpReferenceID": "NDAyNjQ1OGQtODc3Ni00ZDg3LWFlY2QtYzlkNmVlNGVlM2Rm",
    "otp": "829850",
    "hash": "qIkySGplNTvqJOR0TNnepArRuP6AAhd3ScBRbOZ9Y4HG76Hehx8Yus7dkq3I64hsmfJ+EYrS0yTnCNXo31g/4tkQueHgzZ2ApU/ML1+WMnOCmxCQelgEiOHWJu5104plpq+6kXFQO4uYXI8R9QOwVNGaTYap7iu6pmIveh005+Ma9gNuLfvrXlSYByXlyZz7DtUlDlQjAVJRxto4K4Ly0A=="
}'
POST user/outlet/v2/mobileUpdateVerify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "otpReferenceID": "NDAyNjQ1OGQtODc3Ni00ZDg3LWFlY2QtYzlkNmVlNGVlM2Rm",
    "otp": "829850",
    "hash": "qIkySGplNTvqJOR0TNnepArRuP6AAhd3ScBRbOZ9Y4HG76Hehx8Yus7dkq3I64hsmfJ+EYrS0yTnCNXo31g/4tkQueHgzZ2ApU/ML1+WMnOCmxCQelgEiOHWJu5104plpq+6kXFQO4uYXI8R9QOwVNGaTYap7iu6pmIveh005+Ma9gNuLfvrXlSYByXlyZz7DtUlDlQjAVJRxto4K4Ly0A=="
}

Response Parameters

ParametersTypeDescription
statuscodestringInstantPay Status Code
actcodestringAction Code
statusstringStatus message
dataArrayResponse Data (If Present)
timestampstringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidstringRequest reference number
orderidstringTransaction Id ( If transaction otherwise it is null )
environmentstringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Mobile Number successfully changed",
    "data": null,
    "timestamp": "2022-05-26 17:45:44",
    "ipay_uuid": "h00596641d6a-6c80-**********430dd3d1408f",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain